package com.persagy.iot.func

import com.persagy.iot.bean.IOTData
import org.apache.flink.configuration.Configuration
import org.apache.flink.streaming.api.functions.sink.{RichSinkFunction, SinkFunction}
import org.apache.hadoop.hbase.client.Connection


class IOTSinkFunction extends RichSinkFunction[IOTData] {

  var conn: Connection = _

  override def open(parameters: Configuration): Unit = {
    println("init Hbase 数据。。。")
//    conn = HbaseUtil.getHbaseConnection()
  }

  override def invoke(value: IOTData, context: SinkFunction.Context[_]): Unit = {
    println("insert Hbase 数据。。。")
  }

  override def close(): Unit = {
    println("close Hbase 数据。。。")
  }
}
