package com.persagy.iot.utils

import org.apache.hadoop.conf.Configuration
import org.apache.hadoop.hbase.HBaseConfiguration
import org.apache.hadoop.hbase.client.{Connection, ConnectionFactory}

object HbaseUtil {

  val KAFKA_TOPIC = "first"

  val FAMILY_NAME = "data"

  //zookeeper 相关信息
  val HBASE_ZOOKEEPER_QUORUM = "hbase.zookeeper.quorum"

  val HBASE_ZOOKEEPER_IP = "192.168.100.75,192.168.100.84,192.168.100.147"

  val HBASE_ZOOKEEPER_PROPERTY_CLIENTPORT = "hbase.zookeeper.property.clientPort"
  val HBASE_ZOOKEEPER_PORT = "2181"

  def getHbaseConnection(): Connection ={
    val conf: Configuration = HBaseConfiguration.create()
    conf.set(HBASE_ZOOKEEPER_QUORUM, HBASE_ZOOKEEPER_IP)
    conf.set(HBASE_ZOOKEEPER_PROPERTY_CLIENTPORT, HBASE_ZOOKEEPER_PORT)
    ConnectionFactory.createConnection(conf)
  }
}
