package com.persagy.iot.utils

import java.text.SimpleDateFormat

object IOTUtils {

  /**
   * 将时间字段转换成时间戳
   * @param dateStr 时间字段
   * @param formatPattern 要转换时间字段的格式
   * @return
   */
  def timestampConverter(formatPattern: String, dateStr: String): Long ={
    val simpleDateFormat = new SimpleDateFormat(formatPattern)
    val timestamp = simpleDateFormat.parse(dateStr).getTime
    timestamp
  }
}
